picard.util

## Class TabbedInputParser

- java.lang.Object
- - htsjdk.samtools.util.AbstractIterator<String[]>
  - - picard.util.AbstractInputParser
    - - picard.util.BasicInputParser
      - - picard.util.TabbedInputParser

- All Implemented Interfaces:
    htsjdk.samtools.util.CloseableIterator<String[]>, Closeable, AutoCloseable, Iterable<String[]>, Iterator<String[]>

      public class TabbedInputParser
      extends BasicInputParser

  Parser for tab-delimited files

- - ### Field Summary

    - ### Fields inherited from class htsjdk.samtools.util.AbstractIterator

      `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabbedInputParser(boolean treatGroupedDelimitersAsOne, File... file)` Constructor
    `TabbedInputParser(boolean treatGroupedDelimitersAsOne, InputStream... stream)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isDelimiter(byte b)` Determines whether a given character is a delimiter

    - ### Methods inherited from class picard.util.BasicInputParser

      `advanceFile, close, getCurrentLine, getCurrentLineNumber, getFileName, readNextLine`

    - ### Methods inherited from class picard.util.AbstractInputParser

      `advance, calculateWordCount, getWordCount, isBlank, isComment, isSkipBlankLines, isTreatGroupedDelimitersAsOne, iterator, setSkipBlankLines, setTreatGroupedDelimitersAsOne, setWordCount`

    - ### Methods inherited from class htsjdk.samtools.util.AbstractIterator

      `hasNext, isIterating, next, peek, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface htsjdk.samtools.util.CloseableIterator

      `stream, toList`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Constructor Detail

    - #### TabbedInputParser

          public TabbedInputParser(boolean treatGroupedDelimitersAsOne,
                                   InputStream... stream)

      Constructor
      Parameters:
        `stream` - The input stream(s) to parse

    - #### TabbedInputParser

          public TabbedInputParser(boolean treatGroupedDelimitersAsOne,
                                   File... file)

      Constructor
      Parameters:
        `file` - The file(s) to parse

  - ### Method Detail

    - #### isDelimiter

          protected boolean isDelimiter(byte b)

      Determines whether a given character is a delimiter
      Overrides:
        `isDelimiter` in class `AbstractInputParser`
      Parameters:
        `b` - the character to evaluate
      Returns:
        true if `b` is a delimiter; otherwise false